ndc.h File Reference

This header defined the NDC class. More...

`#include <log4cplus/config.hxx>`
`#include <log4cplus/tstring.h>`
`#include <map>`
`#include <deque>`
Include dependency graph for ndc.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::NDC
| The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article "Patterns for Logging Diagnostic Messages" part of the book "Pattern Languages of Program Design 3" edited by Martin et al. More...
struct | log4cplus::DiagnosticContext
| This is the internal object that is stored on the NDC stack. More...
class | log4cplus::NDCContextCreator
| This class ensures that a NDC::push() call is always matched with a NDC::pop() call even in the face of exceptions. More...

## Namespaces

namespace | log4cplus

## Typedefs

typedef std::deque< DiagnosticContext > | log4cplus::DiagnosticContextStack

## Functions

LOG4CPLUS_EXPORT NDC & | log4cplus::getNDC ()
| Return a reference to the singleton object.

## Detailed Description

This header defined the NDC class.

Definition in file ndc.h.